Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.transaction
Class AbstractUserTransaction

    java.lang.Object
      org.jboss.seam.transaction.AbstractUserTransaction

All Implemented Interfaces:
  UserTransaction

Direct Known Subclasses:
  CMTTransaction, EntityTransaction, HibernateTransaction, NoTransaction, UTTransaction

    public abstract class AbstractUserTransaction

extends Object
implements UserTransaction

Base implementation of UserTransaction

Author:
  Gavin King

Constructor Summary
`AbstractUserTransaction()`

Method Summary
`void` | `enlist(javax.persistence.EntityManager entityManager)`
`static Synchronizations` | `getSynchronizations()`
`boolean` | `isActive()`
`boolean` | `isActiveOrMarkedRollback()`
`boolean` | `isCommitted()`
`boolean` | `isConversationContextRequired()`
`boolean` | `isMarkedRollback()`
`boolean` | `isNoTransaction()`
`boolean` | `isRolledBack()`
`boolean` | `isRolledBackOrMarkedRollback()`
`abstract void` | `registerSynchronization(Synchronization sync)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.transaction.UserTransaction
`begin, commit, getStatus, rollback, setRollbackOnly, setTransactionTimeout`

Constructor Detail

### AbstractUserTransaction

    public AbstractUserTransaction()

Method Detail

### isActive

    public boolean isActive()
                     throws SystemException

  Throws:
    `SystemException`

### isActiveOrMarkedRollback

    public boolean isActiveOrMarkedRollback()
                                     throws SystemException

  Throws:
    `SystemException`

### isRolledBackOrMarkedRollback

    public boolean isRolledBackOrMarkedRollback()
                                         throws SystemException

  Throws:
    `SystemException`

### isMarkedRollback

    public boolean isMarkedRollback()
                             throws SystemException

  Throws:
    `SystemException`

### isNoTransaction

    public boolean isNoTransaction()
                            throws SystemException

  Throws:
    `SystemException`

### isRolledBack

    public boolean isRolledBack()
                         throws SystemException

  Throws:
    `SystemException`

### isCommitted

    public boolean isCommitted()
                        throws SystemException

  Throws:
    `SystemException`

### isConversationContextRequired

    public boolean isConversationContextRequired()

### registerSynchronization

    public abstract void registerSynchronization(Synchronization sync)

### enlist

    public void enlist(javax.persistence.EntityManager entityManager)
                throws SystemException

  Throws:
    `SystemException`

### getSynchronizations

    public static Synchronizations getSynchronizations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.